clear 
reset

#set labels
set title 'Tensile test of resin samples' 
set xlabel 'Strain [mm/mm]'
set ylabel 'Stress [MPa]'

#set location of legend
set k top right

#set grid
set g 

#set constant values
CrossSec=99

# list of files to plot
ListaTemp55 = "temp_55degc_1.txt temp_55degc_2.txt temp_55degc_3.txt"
ListaTempm20 = "temp_m20degc_1.txt temp_m20degc_2.txt temp_m20degc_3.txt"


# plotint first series
# [][] range       for-loop       name to plot           calculations od dtress in MPa   plot parameters
p [-0.005:0.14][] for [plik in ListaTemp55 ] plik u 4:($3*1000/CrossSec) w l lw 3 lt rgb "red" notitle 

# ploting second series 
replo for [plik in ListaTempm20 ] plik u 4:($3*1000/CrossSec)  w l  lw 3 lt rgb "navy"  notitle 

#legend plotting 
replo 0/0 w l smooth bezier lw 3 lt rgb "red" t '55degC'
replo 0/0 w l smooth bezier lw 3 lt rgb "navy" t '-20degC' 

#write plot as image to file 
# !!!!!!!!!! if it does not work comment those lines
set terminal png size 2000,1500 fontscale 3.0
set output 's-e.png'
replo
set terminal qt
replo






